<?php
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class router {
	function router () {
		ob_start('ob_gzhandler');
		ob_start('do_header');
		register_shutdown_function('do_footer');
		$this->route();
	}
	
	function route () {
        	$route = $_SERVER['QUERY_STRING'];
		$route = ereg_replace('^\/', '', $route);
		$route = ereg_replace('\/$', '', $route);
		if(empty($route)) $route = 'home';
		$this->route_request($route);
	}
	
	function route_request($route) { 
		@list($MODULE, $PARAMS, $EXTRA) = explode('/', $route, 3);
		global $class;
		/* 
          	ex : www.ubuntu-manual.org/download/10.04/en/yes
		  $MODULE : downloads
		  $PARAMS : 10.04
		  $EXTRA : en/yes
        	*/
        	define('MODULE', $MODULE);
		define('PARAMS', $PARAMS);
		define('EXTRA', $EXTRA);
		$class = array();
		switch(MODULE) {
			case 'home':
				$file = 'pages/homepage.php';
				$class["home"]='class="selected"';
				define('PAGE', 'home');
				break;
			/*case 'downloads':
				$file = 'pages/downloads.php';
				$class["downloads"]='class="selected"';
				break;
			case 'download':
				$file = 'pages/download.php';
				break;*/
			case 'about':
				$class["about"]='class="selected"';
				$file = 'pages/about.php';
				break;
			case 'getinvolved':
				$class["getinvolved"]='class="selected"';
				switch(PARAMS) {
					case 'authors':
						$file = 'pages/authors-editors.php';
						break;
					case 'editors':
						$file = 'pages/authors-editors.php';
						break;
					case 'translators':
						$file = 'pages/translators.php';
						break;
					case 'programmers':
						$file = 'pages/programmers.php';
						break;
					case 'designers':
						$file = 'pages/designers.php';
						break;
					default:
						$file = 'pages/getinvolved.php';
					break;
				}
				break;
			case 'quickshot':
				$class["quickshot"]='class="selected"';
				switch(PARAMS) {
					case 'help':
						$file = 'pages/quickshot-help.php';
						break;
					default:
						$file = 'pages/quickshot.php';
					break;
				}
				break;
			case 'contributors':
				$file = 'pages/contributors.php';
				$class["contributors"]='class="selected"';
				break;
			case 'unavailable':
				$file = 'pages/unavailable.php';
				break;
			default:
				define('PAGE', 'home');
				$file = 'pages/homepage.php';
				$class["home"]='class="selected"';
				break;
		}
		require $file;
	}
}

?>
