<?php global $globals; define('TITLE', __('Get Involved').' '.SEPARATOR.' '.__('Author').', '.__('Editor')); ?>
<h2><?php echo __('Getting started as an Author or Editor'); ?></h2>
<div>
	<div>
		<p><?php echo __('To work on the project, you&#8217;ll need to know how to do a few things:'); ?></p>
		<div>
				<ul>
					<li><?php echo __('Create a Launchpad account and create an SSH key'); ?></li>
					<li><?php echo __('Join our team'); ?></li>
					<li><?php echo __('Download the bzr branch'); ?></li>
					<li><?php echo __('Install TeX Live 2009'); ?></li>
					<li><?php echo __('Start working on the tex files'); ?></li>
					<li><?php echo __('Compile the manual to test your work'); ?></li>
					<li><?php echo __('Commit and push to Launchpad'); ?></li>
				</ul>
				<br />
				<p><?php echo __('We&#8217;ll walk you through each step here.'); ?></p>
				<div class="nb"><?php echo __('Note: These instructions assume that you are using Ubuntu 9.04 or later.'); ?></div>
		</div>
	</div>
</div>
<?php include('launchpad-authors.php'); ?>
<h3><?php echo __('Installing TeX Live 2009'); ?></h3>
<div>
	<div>
		<p><?php echo __('The Ubuntu Manual requires TeX Live 2009. The version of TeX Live in the Ubuntu 9.10 repositories is 2007. In Lucid, there are packages for TeX Live 2009.'); ?></p>
		<h4><?php echo __('Installing TeX Live 2009'); ?></h4>
		<br />
		<div>
				<ol>
					<li><?php echo __('First, remove TeX Live 2008, if you have it installed.'); ?></li>
					<pre class="sh">$ sudo apt-get remove texlive-*</pre>
					<li><?php echo __('Download the TeX Live 2009 install script:'); ?>     <a id="downloadbtn" href="http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz" class="medium button orange" title="<?php echo __('Download Tex Live 2009 now') ;?>"><?php echo __('Download now') ;?></a></li>
					<li><?php echo __('Unpack the tarball:'); ?></li>
					<pre class="sh">$ tar xvf install-tl-unx.tar.gz</pre>
					<li><?php echo __('Change to the newly-unpacked directory:'); ?></li>
					<pre class="sh">$ cd install-tl-*</pre>
					<li><?php echo __('Run the script:'); ?></li>
					<pre class="sh">$ sudo ./install-tl</pre>
					<li><?php echo __('Select where you&#8217;d like to install everything, and any other options you prefer. If you choose not to install everything, the minimum that you&#8217;ll need is the following collections:'); ?></li>
					<ol type="a">
						<li><?php echo __('Essential programs and files (a)'); ?></li>
						<li><?php echo __('LaTeX recommended packages (s)'); ?></li>
						<li><?php echo __('XeTeX packages (C)'); ?></li>
						<li><b><?php echo __('We highly recommend enabling the "create symlinks to standard directories" option.'); ?></b></li>
					</ol>
				<br />
				<p><?php echo __('Under the language collections, you can skip all the documentation, but be sure to install all the languages you wish to translate into. (If the language you wish to translate into isn&#8217;t listed in the menu, don&#8217;t worry, there are just no specific packages required for that language.)'); ?></p>
				<p><?php echo __('Once those are installed, we can install the remainder of the packages with the install-pkgs.sh script. (Note that this hasn&#8217;t been tested yet and it&#8217;s pure guesswork on Kevin&#8217;s part! Let us know if it does or doesn&#8217;t work for you.)'); ?></p>
				<li><?php echo __('Run the install-pkgs.sh script that&#8217;s in the ubuntu-manual/pkgs/ directory to make sure you have all the required packages.'); ?></li>
				<li><?php echo __('If everything checks out okay, you should be able to run: make ubuntu-manual-LANG.pdf where LANG is the language code (see the po/ directory for a list of supported languages).'); ?></li>
				</ol>
				
		</div>
		<br />
		<h4><?php echo __('Checking Prerequisites'); ?></h4>
		<br />
		<p><?php echo __('To make sure you have all the prerequisites installed, run the install-pkgs.sh script (located in the ubuntu-manual/pkgs/ directory).'); ?></p>
		<p><?php echo __('The script will check for the required Ubuntu packages, TeX packages, and fonts.'); ?></p>
		<div>
	</div>
</div>
