<?php global $globals;
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

/* helps you to avoid the printed result of the html*/
define('NO_GUI',1);

list($language,$version) = explode('/', EXTRA,2);

if($version == 'screen')
	$version = '_screen';
else
	$version = '_print';
	
$name='manual_'.$language.$version.'.pdf';
$file=MAN_PATH.PARAMS.'/'.$name;

foreach ($globals['available_manuals'] as $short => $name) {
		if ($language==$short) $lang_manual=$name;
}
if(!file_exists($file) && !isset($lang_manual)) {
	foreach ($globals['languages'] as $short => $name) {
		if ($language==$short) $lang=$name;
	}
	global $globals; define('TITLE', __('File Not Found')); 
?>
<h2><?php echo __('File Not Found'); ?></h2>
<div>
<div><p><?php echo str_replace('%version%', PARAMS , str_replace('%language%', strtolower($lang), __('The %language% edition of <i>Getting Started with Ubuntu %version%</i> is not yet available.'))); ?></p>
<!--
<p><?php 
$long_string=str_replace('%version%', PARAMS,__('We recommend that you download either the English version of <i>Getting Started with Ubuntu %version%</i> or the %language% version of <i>Getting Started with Ubuntu %available_version%</i>.'));
$long_string=str_replace('%language%', $lang, $long_string);
$long_string=str_replace('%available_version%', $globals['available_version'], $long_string); 
?>
</p>
-->
<ul>
    <li><a href="<?php echo BASE.'?download/'.PARAMS.'/en/screen'; ?>" title="<?php echo str_replace('%version%', PARAMS, __('Getting Started with Ubuntu %version% (English)')); ?>"><?php echo str_replace('%version%', PARAMS, __('Download Getting Started with Ubuntu %version% (English)')); ?></a></li>
    <!--<li><a href="#0.1_" title="Getting Started with Ubuntu $PREVIOUS_VERSION ($LANGUAGE)"><?php echo __('Download Getting Started with Ubuntu $PREVIOUS_VERSION ($LANGUAGE)'); ?></a></li>-->
</ul>

</div>
</div>
<?php
}
else
{  
require(PATH.'includes/config.php');
require(PATH.'includes/db.php');


//connect to the database.
$db = new DB(DB_HOST, DB_PORT, DB_USER, DB_PASSWORD);

if (!$db) die('MySQL error! Check your config.php');
else {
	$db->select(DB_NAME);
	$url = BASE.$_SERVER['QUERY_STRING'];
	$id=$db->get_id($url);
	$db->update_clicks($id);
	$db->update_log($id,LANGUAGE);
	 /*Downloading the file */
	header('Content-disposition: attachment; filename='.$name);
	header('Content-Type: application/pdf');
	@header('Content-Length: '.filesize($file));
	header('Pragma: no-cache');
	header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
	header('Expires: 0');
	header('Connection: close');
	readfile($file);
	die;
}
}

?>
