<?php global $globals; ?>
<h3><?php echo __('Creating a Launchpad Account'); ?></h3>
<div>
	<div>
		<ol>
			<li><?php echo __('Go to <a href="https://launchpad.net">https://launchpad.net</a> and click "Register" in the top-right corner of the page'); ?></li>
			<li><?php echo __('Fill in your details'); ?>
			<p><?php echo __('Now you need to create an SSH key. Instructions taken from <a href="https://help.launchpad.net/YourAccount/CreatingAnSSHKeyPair">here</a>.'); ?></p>
				<ol>
					<li><?php echo __('Install OpenSSH. On Ubuntu, you can install OpenSSH by opening your terminal and typing:'); ?></li>
					<pre class="sh">$ sudo apt-get install openssh-client</pre>
					<li><?php echo __('Once OpenSSH is installed, stay in the terminal and type:'); ?></li>					<pre class="sh">$ ssh-keygen -t rsa</pre>
					<li><?php echo __('When prompted, press Enter to accept the default file name for your key.'); ?></li>	
					<li><?php echo __('Next, enter then confirm a password to protect your SSH key. Your key pair is stored in ~/.ssh/ as id_rsa.pub (public key) and id_rsa (private key)'); ?></li>	

				</ol>
			</li>	
		
			<p>
				<?php echo __('Now you need to upload the public portion of your SSH key to Launchpad:'); ?>
				<br />
				<?php echo __('Open your public key in a text editor and copy its contents to your clipboard. The public key file has the extension .pub. For example: id_rsa.pub'); ?>
			</p>
		
			<li><?php echo __('Visit your <a href="https://launchpad.net/people/+me/+editsshkeys">SSH keys</a> page.'); ?></li>
			<li><?php echo __('Paste your public key into the text box and then click the Import public key button to continue.'); ?></li>
		
	</div>
</div>


<h3><?php echo __('Joining our team'); ?></h3>
<div>
	<div>
		<ol>
				<li><?php echo __('Go <a href="https://launchpad.net/~quickshotdevs/">here.</a>'); ?></li>
				<li><?php echo __('Click on "Join this team."'); ?></li>
				<div class="nb"><?php echo __('Note: Quickshot developers is a restricted team which means you&#8217;ll need to be approved by an administrator. Join us in #ubuntu-manual on irc.freenode.net and introduce yourself and say you want to be accepted into the Quickshot developer team.'); ?></div>
				<li><?php echo __('You should subscribe to the mailing list as well.'); ?></li>
		</ol>
	</div>
</div>



<h3><?php echo __('Downloading the bzr branch'); ?></h3>
<div>
	<div>
		<p><?php echo __('You will need to install bzr. Run these commands in a terminal to install bzr and configure it.'); ?></p>
		<ol>
				<li><?php echo __('Install bzr:'); ?></li>
				<pre class="sh">$ sudo apt-get install bzr</pre>
				<li><?php echo __('Configure bzr with your name and email:'); ?></li>
				<pre class="sh">$ bzr whoami "Your name &#60;email@domain.com&#62;"</pre>
				<?php echo __('To check that bzr knows who you are, run:'); ?>
				<pre class="sh">$ bzr whoami</pre>
				<?php echo __('If it has worked, it should return your name and email address.'); ?>
				<?php echo __('Now we need to download the Quickshot branch.'); ?>
				<br /><br />
				<ol>
					<li><?php echo __('Create a new directory in your home folder called "Projects".'); ?></li>
					<li><?php echo __('Change into that directory in a terminal window:'); ?></li>
					<pre class="sh">$ cd ~/Projects</pre>
					<li><?php echo __('Once you are in your Projects directory, run this command to download our branch:'); ?></li>
					<pre class="sh">$ bzr branch lp:quickshot</pre>
					<li><?php echo __('Bzr will now download the project files. This may take a few minutes depending on your connection speed.'); ?>
				
				
		</ol>
	</div>
</div>
