<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="'.LANGUAGE.'" lang="'.LANGUAGE.'">
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8" />
        <title>Ubuntu Manual Builds</title>
	<meta http-equiv="X-UA-Compatible" content="chrome=1" />

        <link rel="stylesheet" type="text/css" href="css/style.css" />
        <link rel="shortcut icon" href="favicon.ico" />
        <meta name="keywords" content="ubuntu manual" />
        <meta name="description" content="Draft copies of the Ubuntu Manual (and tralsnations)" />
		<script src="js/jquery.js?v=1.4.3" type="text/javascript"></script>
			<link rel="stylesheet" href="css/infos.css?v=1.4.3" type="text/css" media="screen" />
		<script src="js/infos.js?v=1.4.3" type="text/javascript"></script>
</head>
<body>
<div id="page">
        <div id="header">
        </div>
        <div id="shadowcaster">
                        <div id="navbar">
                        <span class="home">
                                <a href="/" title="Ubuntu Manual Builds">Ubuntu Manual Stats</a>
                        </span>
                        <span class="nav_menu">
                                <a href="http://ubuntu-manual.org/" title="Ubuntu Manual website">Ubuntu Manual</a>
                        </span>
                        </div>
                        <div id="content">
                	<h2>Ubuntu Manual Stats Report</h2>
               		<?php

// Get basic infos for this shortened URL
$keyword = $_GET['id'];
$clicks = $db->getclicks( $keyword );
$timestamp = $db->gettimestamp( $keyword );

// Fetch information for current keyword only
$hits = $db->getresults( $keyword );
/*echo "<pre>";
print_r($hits);
echo "</pre>";	*/
$referrers = array();
$direct = $notdirect = 0;
$countries = array();
$dates = array();
$list_of_days = array();
$list_of_months = array();
$list_of_years = array();
$last_24h = array();

// Loop through all results and build list of referrers, countries and hits per day
foreach( (array)$hits as $hit ) {
	extract( (array)$hit );
	
		if ( isset( $country_code ) && $country_code ) {
		if( !array_key_exists( $country_code, $countries ) )
			$countries[$country_code] = 0;
		$countries[$country_code]++;
	}
	if( isset( $referrer ) ) {
		if ( $referrer == 'direct' ) {
			$direct++;
		} else {
			$notdirect++;
			$host = get_domain( $referrer );
			if( !array_key_exists( $host, $referrers ) )
				$referrers[$host] = array( );
			if( !array_key_exists( $referrer, $referrers[$host] ) )
				$referrers[$host][$referrer] = 0;
			$referrers[$host][$referrer]++;
		}
	}
	
	if( isset( $click_time ) ) {
		$now = intval( date('U') );
			preg_match('/(\d+)-(\d+)-(\d+)\s(\d+):(\d+):(\d+)/', $click_time, $matches);
		list( $temp, $year, $month, $day, $hour, $min, $sec ) = $matches;
		unset( $matches );
		
		// Build array of $dates[$year][$month][$day] = number of clicks
		if( !array_key_exists( $year, $dates ) )
			$dates[$year] = array();
		if( !array_key_exists( $month, $dates[$year] ) )
			$dates[$year][$month] = array();
		if( !array_key_exists( $day, $dates[$year][$month] ) )
			$dates[$year][$month][$day] = 0;
		$dates[$year][$month][$day]++;
		
		// Build array of last 24 hours $last_24h[$hour] = number of click
		$then = strtotime( $click_time);
		if( ( $now >= $then ) && ( ( $now - $then ) < ( 24 * 60 * 60 ) ) ) {
			$year = sprintf( "%02d", substr( $year, -1, 2 ) ); // 2009 -> 09
			$diff = $now - strtotime( $click_time);
			if( !array_key_exists( "$year-$month-$day-$hour", $last_24h ) )
				$last_24h["$year-$month-$day-$hour"] = 0;
			$last_24h["$year-$month-$day-$hour"]++;
		}
	}
}

// Sort dates, chronologically from [2007][12][24] to [2009][02][19]
ksort( $dates );
foreach( $dates as $year=>$months ) {
	ksort( $dates[$year] );
	foreach( $months as $month=>$day ) {
		ksort( $dates[$year][$month] );
	}
}
	// Get $list_of_days, $list_of_months, $list_of_years
if( $dates ) {
	extract( build_list_of_days( $dates ) );
		// If the $last_24h doesn't have all the hours, insert missing hours with value 0
	for ($i = 23; $i >= 0; $i--) {
		$h = date('y-m-d-H', $now - ($i * 60 * 60) );
		if( !array_key_exists( $h, $last_24h ) ) {
			$last_24h[$h] = 0;
		}
	}
	ksort( $last_24h );
}
	// Sort countries, most frequent first
if ( $countries )
	arsort( $countries );
	// Sort referrers. $referrer_sort is a array of most frequent domains
arsort( $referrers );
$referrer_sort = array();
$number_of_sites = count( array_keys( $referrers ) );
foreach( $referrers as $site => $urls ) {
	if( count($urls) > 1 || $number_of_sites == 1 )
		$referrer_sort[$site] = array_sum( $urls );
}
arsort($referrer_sort);

/*
echo "<pre>";
echo "referrers: "; print_r( $referrers );
echo "referrer sort: "; print_r( $referrer_sort );
echo "direct: $direct\n";
echo "notdirect: $notdirect\n";
echo "dates: "; print_r( $dates );
echo "list of days: "; print_r( $list_of_days );
echo "list_of_months: "; print_r( $list_of_months );
echo "list_of_years: "; print_r( $list_of_years );
echo "last_24h: "; print_r( $last_24h );
echo "countries: "; print_r( $countries );

die();*/


?>
<div id="tabs">
	<div class="wrap_unfloat">
	<ul id="headers2" class="toggle_display stat_tab">
		
		<li class="selected"><a href="#stat_tab_stats"><h2>Traffic statistics</h2></a></li>
		<li><a href="#stat_tab_location"><h2>Traffic location</h2></a></li>
		<li><a href="#stat_tab_sources"><h2>Traffic sources</h2></a></li>
	</ul>
	</div>


	<div id="stat_tab_stats" class="tab">
		<h2>Traffic statistics</h2>
		
		<?php if ( $list_of_days ) { ?>
		
			<?php
			$graphs = array(
				'24' => 'Last 24 hours',
				'7'  => 'Last 7 days',
				'30' => 'Last 30 days',
				'all'=> 'All time'
			);
			
			// Which graph to generate ?
			$do_all = $do_30 = $do_7 = $do_24 = false;
			$hits_all = array_sum( $list_of_days );
			$hits_30  = array_sum( array_slice( $list_of_days, -30 ) );
			$hits_7   = array_sum( array_slice( $list_of_days, -7 ) );
			$hits_24  = array_sum( $last_24h );
			if( $hits_all > 0 )
				$do_all = true; // graph for all days range
			if( $hits_30 > 0 && count( array_slice( $list_of_days, -30 ) ) == 30 )
				$do_30 = true; // graph for last 30 days
			if( $hits_7 > 0 && count( array_slice( $list_of_days, -7 ) ) == 7 )
				$do_7 = true; // graph for last 7 days
			if( $hits_24 > 0 )
				$do_24 = true; // graph for last 24 hours
			
			// Which graph to display ?
			$display_all = $display_30 = $display_7 = $display_24 = false;
			if( $do_24 ) {
				$display_24 = true;
			} elseif ( $do_7 ) {
				$display_7 = true;
			} elseif ( $do_30 ) {
				$display_30 = true;
			} elseif ( $do_all ) {
				$display_all = true;
			}				
			?>

			<table border="0" cellspacing="2">
			<tr>
				<td valign="top">
				<h3>Historical click count</h3>
				<?php
				$ago = round( (date('U') - strtotime($timestamp)) / (24* 60 * 60 ) );
				if( $ago <= 1 ) {
					$daysago = '';
				} else {
					$daysago = '(about '.$ago .' '.plural( ' day', $ago ).' ago)';
				}
				?>
				<p>First click on the link was on <?php echo date("F j, Y @ g:i a", strtotime($timestamp)); ?> <?php echo $daysago; ?></p>
				<div class="wrap_unfloat">
					<ul class="no_bullet toggle_display stat_line" id="historical_clicks">
					<?php
					foreach( $graphs as $graph => $title ) {
						if ( ${'do_'.$graph} ) {
							$link = "<a href='#stat_line_$graph'>$title</a>";
						} else {
							$link = $title;
						}
						$stat = '';
						if( ${'do_'.$graph} ) {
							switch( $graph ) {
								case '7':
								case '30':
									$stat = round( ( ${'hits_'.$graph} / intval( $graph ) ) * 100 ) / 100 . ' per day';
									break;
								case '24':
									$stat = round( ( ${'hits_'.$graph} / 24 ) * 100 ) / 100 . ' per hour';
									break;
								case 'all':
									if( $ago > 0 )
										$stat = round( ( ${'hits_'.$graph} / $ago ) * 100 ) / 100 . ' per day';
							}
						}
						$hits = plural( 'hit', ${'hits_'.$graph} );
						echo "<li><span class='historical_link'>$link</span> <span class='historical_count'>${'hits_'.$graph} $hits</span> $stat</li>\n";
					}
					?>
					</ul>
				</div>
		
				<h3>Best day</h3>
				<?php $best = stats_get_best_day( $list_of_days ); ?>
				<p><strong><?php echo $best['max'];?></strong> <?php echo plural( 'hit', $best['max'] ); ?> on <?php echo date("F j, Y", strtotime($best['day'])); ?>. 
				<a href="" class='details' id="more_clicks">Click for more details</a></p>
				<ul id="details_clicks" style="display:none">
					<?php
					foreach( $dates as $year=>$months ) {
						if( count( $list_of_years ) > 1 ) {
							$li = "<a href='' class='details' id='more_year$year'>Year $year</a>";
							$display = 'none';
						} else {
							$li = "Year $year";
							$display = 'block';
						}
						echo "<li>$li";
						echo "<ul style='display:$display' id='details_year$year'>";
						foreach( $months as $month=>$days ) {
							$monthname = date("F", mktime(0, 0, 0, $month,1));
							if( count( $list_of_months ) > 1 ) {
								$li = "<a href='' class='details' id='more_month$year$month'>$monthname</a>";
								$display = 'none';
							} else {
								$li = "$monthname";
								$display = 'block';
							}
							echo "<li>$li";
							echo "<ul style='display:$display' id='details_month$year$month'>";
								foreach( $days as $day=>$hits ) {
									$class = ( $hits == $best['max'] ? 'class="bestday"' : '' );
									echo "<li $class>$day: $hits". plural( ' hit', $hits) ."</li>\n";
								}
							echo "</ul>\n";
						}
						echo "</ul>\n";
					}
					?>
				</ul>
				
				</td>
				
			</tr>
			<tr>
				<td valign="top">
				<ul id="stats_lines" class="toggle_display stat_line">
				<?php
				if( $do_24 == true )
					echo "<li><a href='#stat_line_24'>Last 24 hours</a>";
				if( $do_7 == true )
					echo "<li><a href='#stat_line_7'>Last 7 days</a>";
				if( $do_30 == true )
					echo "<li><a href='#stat_line_30'>Last 30 days</a>";
				if( $do_all == true )
					echo "<li><a href='#stat_line_all'>All time</a>";
				?>				
				</ul>
				<?php
				// Generate, and display if applicable, each needed graph
				foreach( $graphs as $graph => $title ) {
					if( ${'do_'.$graph} == true ) {
						$display = ( ${'display_'.$graph} === true ? 'display:block' : 'display:none' );
						echo "<div id='stat_line_$graph' class='stats_line line' style='$display'>";
						$labels_1 = $labels_2 = array();
						switch( $graph ) {
							case '24':
								// each key of $last_24h is of type "yy-mm-dd-hh"
								$first_key = current( array_keys( $last_24h ) );
								$last_key = end( array_keys( $last_24h ) );
								// Get "dd/mm" of first and last key
								$first_label = preg_replace( '/\d\d-(\d\d)-(\d\d)-\d\d/', '$2/$1', $first_key );
								$last_label = preg_replace( '/\d\d-(\d\d)-(\d\d)-\d\d/', '$2/$1', $last_key );
								$labels_2 = array( $first_label, $last_label);
								// Get hh of each key
								foreach( $last_24h as $k=>$v ) {
									$labels_1[] = end( explode( '-', $k ) ); // 'hh'
								}
								
								echo "<h3>Number of hits : $title</h3>";
								stats_bar( $last_24h, $labels_1, $labels_2 );
								break;

							case '7':
							case '30':
								// each key of $list_of_days is of type "yyyy-mm-dd"
								$slice = array_slice( $list_of_days, intval( $graph ) * -1 );
								foreach( $slice as $k=>$v ) {
									// get "dd"
									$labels_1[] = preg_replace( '/\d\d\d\d-\d\d-(\d\d)/', '$1', $k );
								}
								$first_key = current( array_keys( $slice ) );
								$last_key = end( array_keys( $slice ) );
								// Get "dd/mm" of first and last key
								$first_label = preg_replace( '/\d\d\d\d-(\d\d)-(\d\d)/', '$2/$1', $first_key );
								$last_label = preg_replace( '/\d\d\d\d-(\d\d)-(\d\d)/', '$2/$1', $last_key );
								$labels_2 = array( $first_label, $last_label);
								
								echo "<h3>Number of hits : $title</h3>";
								stats_bar( $slice, $labels_1, $labels_2 );
								unset( $slice );
								break;

							case 'all':
								// get "yy-mm"
								foreach( $list_of_days as $k=>$v ) {
									$labels_1[] = preg_replace( '/\d\d(\d\d)-(\d\d)-\d\d/', '$1-$2', $k );
								}
								// take out duplicates
								$labels_1 = array_unique( $labels_1 );
								// now get "mm" only so we have all different month
								foreach( $labels_1 as $k=>$v ) {
									$labels_1[$k] = preg_replace( '/\d\d-(\d\d)/', '$1', $v );
								}
								
								echo "<h3>Number of hits : $title</h3>";
								$labels_1 = array_granularity( $labels_1, 30, false );
								$labels_2 = array_granularity( $list_of_years, 30, false );
								stats_bar( $list_of_days, $labels_1, $labels_2 );
								break;
						}
						echo "</div>\n";
					}			
				} ?>
				
				</td>
			</tr>
			
			</table>


		
		<?php } else {
			echo "<p>No traffic yet. Get some clicks first!</p>";
		} ?>
	</div>


	<div id="stat_tab_location" class="tab">
		<h2>Traffic location</h2>
		
		<?php if ( $countries ) { ?>
			
			<table border="0" cellspacing="2">
			<tr>
				<td valign="top">
					<h3>Top 5 countries</h3>
					<?php stats_pie( $countries, 5 ); ?>
					<p><a href="" class='details' id="more_countries">Click for more details</a></p>
					<ul id="details_countries" style="display:none" class="no_bullet">
					<?php
					foreach( $countries as $code=>$count ) {
						echo "<li><img src='".geo_get_flag( $code )."' /> $code (".geo_countrycode_to_countryname( $code ).") : $count ".plural('hit', $count)."</li>\n";
					}		
					?>
					</ul>

				</td>
			<tr>
			<tr>
				<td valign="top">
					<h3>Overall traffic</h3>
					<?php stats_countries_map( $countries ); ?>
				</td>
			</tr>
			</table>
		
		<?php } else {
			echo "<p>No country data.</p>";
		} ?>
	</div>
				
				
	<div id="stat_tab_sources" class="tab">
		<h2>Traffic Sources</h2>
		
		<?php if ( $referrers ) { ?>
			
			<table border="0" cellspacing="2">
			<tr>
				<td valign="top">
					<h3>Referrer shares</h3>
					<?php
					if ( $number_of_sites > 1 )
						$referrer_sort['Others'] = count( $referrers );
					stats_pie( $referrer_sort, 5, '550x320', '902020,FF6060' );
					unset( $referrer_sort['Others'] );
					?>
					<h3>Referrers</h3>
					<ul class="no_bullet">
						<?php
						$i = 0;
						foreach( $referrer_sort as $site => $count ) {
							$i++;
							echo "<li class='sites_list'><img src='http://$site/favicon.ico' class='fix_images'/> $site: <strong>$count</strong> <a href='' class='details' id='more_url$i'>(details)</a></li>\n";
							echo "<ul id='details_url$i' style='display:none'>";
							foreach( $referrers[$site] as $url => $count ) {
								echo "<li><a href='".$url."'>".$url."</a>"; echo ": <strong>$count</strong></li>\n";
							}
							echo "</ul>\n";
							unset( $referrers[$site] );
						}
						// Any referrer left? Group in "various"
						if ( $referrers ) {
							echo "<li id='sites_various'>Various: <strong>". count( $referrers ). "</strong> <a href='' class='details' id='more_various'>(details)</a></li>\n";
							echo "<ul id='details_various' style='display:none'>";
							foreach( $referrers as $url ) {
								echo "<li><a href='".key($url)."'>".key($url)."</a>"; echo ": 1</li>\n";	
							}
							echo "</ul>\n";
						}
						?>
						
					</ul>
				
				</td>
			</tr>
			<tr>
				<td valign="top">
					<h3>Direct vs Referrer Traffic</h3>
					<?php
					stats_pie( array('Direct'=>$direct, 'Referrers'=> $notdirect), 5, '550x320', '902020,FF6060' );
					?>
					<p>Direct traffic: <strong><?php echo $direct; ?></strong> <?php echo plural( 'hit', $direct ); ?> </p>
					<p>Referrer traffic: <strong><?php echo $notdirect; ?></strong> <?php echo plural( 'hit', $notdirect ); ?> </p>

				</td>
			</tr>
			</table>

		<?php } else {
			echo "<p>No referrer data.</p>";
		} ?>
                	</div>
                 	<div id='footer'>
                                        <hr />
                                        <span style='float:left'>Copyright &copy; 2010 The Ubuntu Manual Team &ndash; Some rights reserved</span>
                                        <span style='float:right'>All of our work is licensed under Creative Commons Attribution&ndash;Share-Alike</span>
                            </div>
                </div>
        </div>
</div>
<script language='javascript' src='js/jquery.dropshadow.js'></script>
<script language='javascript'>
        $(document).ready(function () {

                $('#language').hover(
                
                        function () {

                                //change the background of parent menu
                                $('#language li a.parent').addClass('hover');
                                
                                //display the language menu
                                $('#language ul.children').show();
                                
                        },
                
                        function () {

                                //change the background of parent menu
                                $('#language li a.parent').removeClass('hover');

                                //hide the language menu
                                $('#language ul.children').hide();
                                
                        }
                
                );
                
        });
    $(function () {
           $('#shadowcaster').dropShadow ({
                 left:-1,
                 blur:3,
                 color:'#000000'
            });
    })
</script>
</body>
</html>
