<?php
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

require('config-db.php');

$globals['base'] = 'ubuntu-manual.org';
//$globals['base'] = '127.0.0.1/test2';

// Keywords and description META tags of the website
define('META_KEYWORDS', 'Ubuntu manual, guide, ubuntu, help, documentation, book, pdf, ebook, ump');
define('META_ROBOTS', 'noodp,noydir');

/* path where the manuals are stored*/
define('MAN_PATH', '/home/godbyk/files.ubuntu-manual.org/manuals/');

/* path where the manuals are stored*/
define('MAN_URL', 'http://files.ubuntu-manual.org/manuals/');

//The language you want to have by default.
define('DEFAULT_LANG', 'English');
define('DEFAULT_LANG_SHORT', 'en_US');
define('DEFAULT_DIR', 'ltr');

//The symbol you want to have between the project name and the page. For example: Ubuntu Manual "-" Homepage.
define('SEPARATOR', '-');

// Languages
// include here all languages to use
$globals['languages'] = array(	
	'ar' => 'العربية','ast' => 'Asturianu',
	'bn' => 'বাংলা','ca' => 'Catalan',	
	'bg' => 'Bulgarian','zh_CN' => '简体中文',
	'zh_TW' => '繁体中文',
	'cs' => 'Česky','de' => 'Deutsch',
	'en_US' => 'English','en_AU' => 'English Australia',
	'en_GB' => 'English UK','fi' => 'Finnish',
	'fr' => 'Français','gl' => 'Galego',
	'el' => 'Ελληνικά',
	'hu' => 'Magyar','it' => 'Italiano',
	'lt' => 'Lietuvių','ms' => 'Malay',
	'mr' => 'Marathi', 'fa' => 'Persian',
	'nl' => 'Nederlands',
	'pl' => 'Polski',
	'pt' => 'Português','ro' => 'Română',
	'ru' => 'Русский ','sr' => 'Serbian ',
	'sl' => 'Slovene',
	'es' => 'Español',
	'sv' => 'Swedish','te' => 'Telugu',
	'tr' => 'Turkish','vi' => 'Vietnamese',
);


$globals['available_manuals'] = array(
    "10.04" => array(
        'en_US' => 'Getting Started with Ubuntu 10.04.pdf',
        'el' => 'Ξεκινώντας με το Ubuntu 10.04.pdf',
        'de' => 'Erste Schritte mit Ubuntu 10.04.pdf',
        'nl' => 'Aan de slag met Ubuntu 10.04.pdf',
    ),
    "10.04e2" => array(
        'en_US' => 'Getting Started with Ubuntu 10.04 - Second Edition.pdf',
        'lt' => 'Ubuntu 10.04 vadovas pradedantiesiems - Antrasis leidimas.pdf',
        'de' => 'Erste Schritte mit Ubuntu 10.04 - Zweite Ausgabe.pdf',
    ),
    "10.10" => array(
        'en_US' => 'Getting Started with Ubuntu 10.10.pdf',
    ),
    "11.10" => array(
        'en_US' => 'Getting Started with Ubuntu 11.10.pdf',
    ),
    "12.04" => array(
        'en_US' => 'Getting Started with Ubuntu 12.04.pdf',
    ),
    "12.04e2" => array(
        'en_US' => 'Getting Started with Ubuntu 12.04 - Second Edition.pdf',
        'nl' => 'Aan de slag met Ubuntu 12.04 - Tweede Editie.pdf',
        'fr' => 'Premiers pas avec Ubuntu 12.04 - Deuxième édition.pdf',
        'sl' => 'Kako začeti z Ubuntujem 12.04 - Druga izdaja.pdf',
        'es' => 'Primeros pasos con Ubuntu 12.04 - Segunda edición.pdf',
        'de' => 'Erste Schritte mit Ubuntu 12.04 - Zweite Ausgabe.pdf',
    ),
    "12.10" => array(
        'en_US' => 'Getting Started with Ubuntu 12.10.pdf',
        'fr' => 'Premiers pas avec Ubuntu 12.10.pdf',
    ),
    "13.04" => array(
        'en_US' => 'Getting Started with Ubuntu 13.04.pdf',
        'fr' => 'Premiers pas avec Ubuntu 13.04.pdf',
        'sl' => 'Kako začeti z Ubuntujem 13.04.pdf',
        'de' => 'Erste Schritte mit Ubuntu 13.04.pdf',
    ),
    "13.10" => array(
        'en_US' => 'Getting Started with Ubuntu 13.10.pdf',
        'fr' => 'Premiers pas avec Ubuntu 13.10.pdf',
        'es' => 'Primeros pasos con Ubuntu 13.10.pdf',
    ),
);

$mirors = array(
	"http://www.vrac.iastate.edu/~godbyk/Getting%20Started%20with%20Ubuntu%2010.04.pdf", 
#	"http://static.thadeusb.com/Getting+Started+with+Ubuntu+10.04.pdf", 
#	"http://anthonyrhook.com/Getting+Started+with+Ubuntu+10.04.pdf", 
#	"http://www.crimasi.com/Getting_Started_with_Ubuntu_10.04.pdf", 
#	"http://dl.dropbox.com/u/6544772/Getting%20Started%20with%20Ubuntu%2010.04.pdf"
);

$globals['lulu_urls'] = array(
    'gswu1004e1' => array(
        'en_US' => 'http://www.lulu.com/product/paperback/getting-started-with-ubuntu-1004/10793559',
        'en' => 'http://www.lulu.com/product/paperback/getting-started-with-ubuntu-1004/10793559',
        'el' => 'http://www.lulu.com/product/paperback/%CE%9E%CE%B5%CE%BA%CE%B9%CE%BD%CF%8E%CE%BD%CF%84%CE%B1%CF%82-%CE%BC%CE%B5-%CF%84%CE%BF-ubuntu-1004/11911911',
        'de' => 'http://www.lulu.com/product/paperback/erste-schritte-mit-ubuntu-1004/12035570',
        'nl' => 'http://www.lulu.com/product/paperback/aan-de-slag-met-ubuntu-1004/14330922',
    ),
    'gswu1004e2' => array(
        'en_US' => 'http://www.lulu.com/product/paperback/getting-started-with-ubuntu-1004---second-edition/12284706',
        'en' => 'http://www.lulu.com/product/paperback/getting-started-with-ubuntu-1004---second-edition/12284706',
        'lt' => 'http://www.lulu.com/product/paperback/ubuntu-1004-vadovas-pradedantiesiems---antrasis-leidimas/15934000',
        'de' => 'http://www.lulu.com/shop/das-ubuntu-handbuchteam/erste-schritte-mit-ubuntu-1004-zweite-ausgabe/paperback/product-20184792.html',
    ),
    'gswu1010' => array(
        'en_US' => 'http://www.lulu.com/product/paperback/getting-started-with-ubuntu-1010/15975375',
        'en' => 'http://www.lulu.com/product/paperback/getting-started-with-ubuntu-1010/15975375',
    ),
    'gswu1110' => array(
        'en_US' => 'http://www.lulu.com/content/paperback-book/getting-started-with-ubuntu-1110/12742264',
        'en' => 'http://www.lulu.com/content/paperback-book/getting-started-with-ubuntu-1110/12742264',
    ),
    'gswu1204' => array(
        'en_US' => 'http://www.lulu.com/shop/the-ubuntu-manual-team/getting-started-with-ubuntu-1204/paperback/product-20233830.html',
        'en' => 'http://www.lulu.com/shop/the-ubuntu-manual-team/getting-started-with-ubuntu-1204/paperback/product-20233830.html',
    ),
    'gswu1204e2' => array(
        'en_US' => 'http://www.lulu.com/shop/the-ubuntu-manual-team/getting-started-with-ubuntu-1204-second-edition/paperback/product-20449717.html',
        'en' => 'http://www.lulu.com/shop/the-ubuntu-manual-team/getting-started-with-ubuntu-1204-second-edition/paperback/product-20449717.html',
        'nl' => 'https://www.createspace.com/4114133',
        'fr' => 'https://www.createspace.com/4126590',
        'sl' => 'https://www.createspace.com/4128036',
        'es' => 'https://www.createspace.com/4128120',
        'de' => 'https://www.createspace.com/4282858',
    ),
    'gswu1210' => array(
        'en_US' => 'https://www.createspace.com/4098867',
        'en' => 'https://www.createspace.com/4098867',
        'fr' => 'https://www.createspace.com/4144756',
    ),
    'gswu1304' => array(
        'en_US' => 'https://www.createspace.com/4260523',
        'en' => 'https://www.createspace.com/4260523',
        'sl' => 'https://www.createspace.com/4390851',
        'fr' => 'https://www.createspace.com/4390831',
        'de' => 'https://www.createspace.com/4390868',
    ),
    'gswu1310' => array(
        'en_US' => 'https://www.createspace.com/4486546',
        'en' => 'https://www.createspace.com/4486546',
        'fr' => 'https://www.createspace.com/4520270',
        'es' => 'https://www.createspace.com/4520284',
    ),
);



/* array backup 
$globals['languages'] = array(
	'sq' => 'Albanian','ar' => 'العربية',	
	'ast' => 'Asturianu',
	'bn' => 'Bengali','pt_BR' => 'Brazilian Portuguese',
	'ca' => 'Catalan',	
	'bg' => 'Bulgarian','zh_CN' => '中文 (繁体字)',
	'zh_TW' => '中文 (正體字)',
	'cs' => 'Česky','nl' => 'Dutch','en' => 'English',
	'en_AU' => 'English Australia','en_GB' => 'English UK',
	'eo' => 'Esperanto','fi' => 'Finnish',
	'fr' => 'French','gl' => 'Galician',
	'de' => 'Deutsch','el' => 'Ελληνικά',
	'he' => 'עברית','hi' => 'Hindi',
	'hu' => 'Magyar','ko' => 'Korean',
	'it' => 'Italiano','ja' => 'Japanese',
	'lt' => 'Lietuvių','ms' => 'Malay',
	'mr' => 'Marathi','nb' => 'Norwegian Bokmal', 
	'oc' => 'Occitan','fa' => 'Persian',
	'pl' => 'Polski','ml' => 'Malayalam',
	'pt' => 'Portuguese','ro' => 'Română',
	'ru' => 'Русский ','sr' => 'Serbian ',
	'si' => 'Sinhalese','es' => 'Español',
	'sv' => 'Swedish','ta' => 'Tamil',
	'te' => 'Telugu','th' => 'Thai',
	'tr' => 'Turkish','vi' => 'Vietnamese',
);
*/
$globals['rtl'] = array('ar','he');

$globals['manual_version'] = '10.04';
$globals['manual_version2'] = '10.04e2';
$globals['manual_version3'] = '10.10';
$globals['manual_version4'] = '12.04';
$globals['manual_version5'] = '12.10';
$globals['manual_version6'] = '13.04';
$globals['manual_version7'] = '13.10';
$globals['ubuntu_code_name'] = 'Saucy Salamander';
$globals['available_version'] = '13.10';
$globals['website_version'] = '0.1';
$globals['num_languages'] = '52';
$globals['website_rev'] = '35';

// Post-configuration (you *should not* touch this!)
if (isset($_SERVER['HTTPS'])) define('BASE', 'https://'.$globals['base'].'/'); else define('BASE', 'http://'.$globals['base'].'/');

?>
