<?php global $globals; define('TITLE', __('Get Involved').' '.SEPARATOR.' '.__('Author').', '.__('Editor')); ?>
<h2><?php echo __('Getting started as an Author or Editor'); ?></h2>
<div>
	<div>
		<p><?php echo __("To get started, we'll walk you through the following steps:"); ?></p>
		<div>
				<ul>
					<li><a href="#launchpad"><?php echo __('Creating a Launchpad account and an SSH key'); ?></a></li>
					<li><a href="#join-team"><?php echo __('Joining our team'); ?></a></li>
					<li><a href="#download-code"><?php echo __('Downloading the bzr branch'); ?></a></li>
					<li><a href="#install-texlive"><?php echo __('Installing TeX Live'); ?></a></li>
					<li><a href="#edit-tex"><?php echo __('Start working on the TeX files'); ?></a></li>
					<li><a href="#compile-manual"><?php echo __('Compiling the manual to test your work'); ?></a></li>
					<li><a href="#share-work"><?php echo __('Sharing your work with the team'); ?></a></li>
				</ul>
				<br />
				<p><?php echo __('We’ll walk you through each step here.'); ?></p>
		</div>
	</div>
</div>
<?php include('launchpad-authors.php'); ?>

<h3 id="install-texlive"><?php echo __('Installing TeX Live'); ?></h3>
<div>
	<div>
		<p><?php echo __('The Ubuntu Manual requires TeX Live. The version of TeX Live in the Ubuntu repositories is incomplete and out-dated.  You <strong>must</strong> use the upstream version of TeX Live to compile the manual successfully.'); ?></p>
		<h4><?php echo __('Installing TeX Live'); ?></h4>
		<br />
		<div>
			<ol>
				<li><?php echo __('First, remove any Ubuntu TeX Live packages, if you have them installed.'); ?>
					<pre class="sh">$ sudo apt-get remove texlive-*</pre>
				</li>
				<li><?php echo __('Download the TeX Live install script:'); ?>     <a id="downloadbtn" href="http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz" class="medium button orange" title="<?php echo __('Download Tex Live now') ;?>"><?php echo __('Download now') ;?></a></li>
				<li><?php echo __('Unpack the tarball:'); ?>
					<pre class="sh">$ tar xvf install-tl-unx.tar.gz</pre>
				</li>
				<li><?php echo __('Change to the newly-unpacked directory:'); ?>
					<pre class="sh">$ cd install-tl-*</pre>
				</li>
				<li><?php echo __('Run the script:'); ?>
					<pre class="sh">$ sudo ./install-tl</pre>
				</li>
				<li><?php echo __('Select where you’d like to install everything, and any other options you prefer. If you choose not to install everything, the minimum that you’ll need is the following collections:'); ?></li>
				<ol type="a">
					<li><?php echo __('Essential programs and files (<tt>a</tt>)'); ?></li>
					<li><?php echo __('LaTeX recommended packages (<tt>s</tt>)'); ?></li>
					<li><?php echo __('XeTeX packages (<tt>C</tt>)'); ?></li>
				</ol>
				<br />
				<p><?php echo __('Under the language collections, you can skip all the documentation, but be sure to install all the languages you wish to translate into. (If the language you wish to translate into isn’t listed in the menu, don’t worry, there are just no specific packages required for that language.)'); ?></p>
				<div class="nb">
				<p><?php echo __('You should also enable the creation of the symlinks:'); ?>
				<ol>
					<li><?php echo __('From the main TeX Live installation menu select Options (<tt>O</tt>).'); ?></li>
					<li><?php echo __('From the Options menu, select “create symlinks in standard directories” (<tt>L</tt>).'); ?></li>
					<li><?php echo __('The default directories are usually okay.'); ?></li>
					<li><?php echo __('Press R to return the main menu.'); ?></li>
				</ol>
				</div>
				<p><?php echo __('Once those are installed, we can install the remainder of the packages with the <tt>install-pkgs.sh</tt> script. (Note that this hasn’t been tested yet and it’s pure guesswork on Kevin’s part! Let us know if it does or doesn’t work for you.)'); ?></p>
				<li><?php echo __('Run the <tt>install-pkgs.sh</tt> script that’s in the <tt>ubuntu-manual-<em>version</em>/pkgs/</tt> directory to make sure you have all the required packages.'); ?>
					<pre class="sh">$ ~/Projects/ubuntu-manual-trusty/pkgs/install-pkgs.sh</pre>
				</li>
				<li><?php echo __('If everything checks out okay, you should be able to run: make ubuntu-manual-LANG.pdf where LANG is the language code (see the po/ directory for a list of supported languages).'); ?></li>
				<li><?php echo __('If everything checks out okay, you can build the PDF:'); ?>
					<pre class="sh">$ cd ~/Projects/ubuntu-manual-version   # e.g., ~/Projects/ubuntu-manual-trusty
$ make</pre>
					<p><?php echo __('This will generate the file <tt>ubuntu-manual.pdf</tt>, which is the English manual in PDF format. To make the manual in another language use the following command:'); ?></p>
					<pre class="sh">$ make ubuntu-manual-LANG.pdf</pre>
					<p><?php echo __('where <tt>LANG</tt> is the language code. (See the <tt>po/</tt> directory for a list of supported languages.) This requires a <tt>.po</tt> file (<i>e.g.</i>, <tt>nl.po</tt>) in the given language in the subdirectory <tt>po/</tt>.'); ?></p>
				</li>
			</ol>
		</div>
		<br />
		<h4><?php echo __('Checking Prerequisites'); ?></h4>
		<br />
		<p><?php echo __('To make sure you have all the prerequisites installed, run the install-pkgs.sh script (located in the ubuntu-manual/pkgs/ directory).'); ?></p>
		<p><?php echo __('The script will check for the required Ubuntu packages, TeX packages, and fonts.'); ?></p>
	</div>
</div>

<h3 id="edit-tex"><?php echo __("Start working with the TeX files"); ?></h3>
<div>
	<div>
		<p><?php echo __("The first priority for authors is to write the content of the manual, but the manual isn't just a simple PDF. Authors should use LaTeX language to mark up the text. You don't have to learn the whole language to do your job as an author; there are specific tags that are used. Our <a href=\"http://files.ubuntu-manual.org/style-guide.pdf\">style guide</a> (PDF) should teach you all you need to know about LaTeX."); ?></p>
		<p><?php echo __("If you have trouble using LaTeX, it's okay. An editor will do the mark up of your files."); ?></p>
	</div>
</div>

<h3 id="compile-manual"><?php echo __('Compiling the manual'); ?></h3>
<div>
	<div>
		<p><?php echo __("By compiling the manual you will find any syntax errors in the LaTeX markup. You can fix the errors and review your work more easily. It isn't necessary for authors to compile the manual, but we encourage you to do so in order to be able to fix any possible errors and see what your work looks like."); ?></p>
		<p><?php echo __("To compile the manual go to the <tt>ubuntu-manual/</tt> directory and run <tt>make</tt>."); ?></p>
	</div>
</div>

<h3 id="share-work"><?php echo __('Sharing your work with the team'); ?></h3>
<div>
	<div>
		<p><?php echo __("As was mentioned at the beginning, you may use either GUI applications or terminal commands when you want to work with bzr branches.  Here is a list of some cool GUI applications."); ?></p>
		<ul>
			<li><a href="http://doc.bazaar.canonical.com/explorer/en/"><?php echo __("Bazaar Explorer"); ?></a></li>
			<li><a href="http://ground-control.org/"><?php echo __("Ground Control"); ?></a></li>
			<li><a href="http://wiki.bazaar.canonical.com/QBzr"><?php echo __("QBzr"); ?></a></li>
		</ul>

		<h4><?php echo __("Commands"); ?></h4>
		<p><?php echo __("Open up a new Terminal and change the working directory to the location of the branch."); ?></p>
		<p><?php echo __("Add the files to bzr:"); ?></p>
		<pre class="sh">$ bzr add</pre>
		<p><?php echo __("That should add all files in your working directory to bzr."); ?></p>
		<p><?php echo __("Now you need to see the differences (there will be none if you have got the branch for the first time):"); ?></p>
		<pre class="sh">$ bzr diff</pre>
		<p><?php echo __("Then commit it:"); ?></p>
		<pre class="sh">$ bzr commit -m "What you've changed"</pre>
		<p><?php echo __("So for example:"); ?></p>
		<pre class="sh">$ bzr commit -m "Fixed some spelling mistakes in chapter 6"</pre>
		<p><?php echo __("After it has said \"committed revision X\" you should be able to push it through to main:"); ?></p>
		<pre class="sh">$ bzr push lp:ubuntu-manual</pre>
		<p><?php echo __("Now go to Launchpad and check that it has indeed been pushed up to the next revision."); ?></p>
		<p><?php echo __("Updating your local branch"); ?></p>
		<p><?php echo __("Run the following command to \"pull\" the latest branch from Launchpad and merge it with yours:"); ?></p>
		<pre class="sh">$ bzr pull lp:ubuntu-manual</pre>
		<p><?php echo __("Remember all bzr commands must be in the root directory of ubuntu-manual, where your branch is registered."); ?></p>
		<p><?php echo __("If you have created a new folder or new files (ie, not edited an existing one) then you will need to run"); ?></p>
		<pre class="sh">$ bzr add</pre>
		<p><?php echo __("again to add these new files/folders to the bzr branch, then you'll need to run bzr diff to check they've been added, and then the commit line shown above. Then finally push it through, once you've made sure no one else has pushed through something in the few minutes since you last checked!"); ?></p>
		<p><?php echo __("How to make changes the <strong>RIGHT</strong> way"); ?></p>
		<p><?php echo __("Firstly, make sure you have the latest revision by going here:"); ?></p>
		<ul>
			<li><?php echo __("Run bzr diff when you've got the latest revision, to see what changes someone else has made"); ?></li>
			<li><?php echo __("Make your own changes"); ?></li>
			<li><?php echo __("Run make clean to get rid of all the unnecessary build packages"); ?></li>
			<li><?php echo __("Run bzr diff again to confirm them"); ?></li>
			<li><?php echo __("Commit them with a good description. Not word-for-word changes, but specific enough for someone to easily find again"); ?></li>
			<li><?php echo __("Push them through to main, and then check the Launchpad page to see it's gone up to the next revision."); ?></li>
		</ul>
	</div>
</div>

<h3 id="help-us-improve"><?php echo __("Help us improve"); ?></h3>
<div>
	<div>
		<p><strong><?php echo __("Thank you for your interest. Please help us improve this page so we can help more the new authors and editors. Send us an email with your critiques, impressions, recommendations, etc. to our mailing list."); ?></strong></p>
	</div>
</div>


