<?php global $globals; define('TITLE', __('Downloads')); ?>
<?php global $globals; ; ?>
<script type="text/javascript">
$(document).ready(function() {
	//Assign initial values
	var edition = "<?php echo get_latest_version($globals['available_manuals'], LANGUAGE_SHORT); ?>";
	var language = "<?php 
		$default_language = "en_US";
		foreach ($globals['available_manuals'] as $version => $language_titles) {
			$set = false;
			foreach ($language_titles as $language => $manual_title) {
				if (LANGUAGE == $language or LANGUAGE_SHORT == $language) {
					$default_language = $language;
					$set = true;
					break;
				}
			}
			if ($set)
				break;
		}

		echo $default_language;
	?>";
var optimzed = "screen";
var dl_link = "download/" + edition + "/" + language + "/" + optimzed;

function Set_Params() {
	edition = $("#edition_list").val();
	language = $("#language_list").val();
	if ($("#screen").is(":checked"))
		optimzed = "screen";
	else
		if ($("#print").is(":checked"))
			optimzed = "print";
	Download();
}

/* Update the list of available manuals based on the selected language. */
function Set_Params2() {
	language = $("#language_list").val();
	$.ajax
		({
			type: "POST",
				url: "ajax_manuals.php",
				data: { language: language },
				cache: false,
				success: function(html) {
					$("#edition_list").html(html);
					Set_Params();
				}
		});
}

function Download() {
	// Compose the url
	dl_link = "download/" + edition + "/" + language + "/" + optimzed;

	// Update destination before sending url
	$('#downloadbtn').attr("href", dl_link);
}

// Update url when option is changed
$("#language_list").change(Set_Params2);
$("#edition_list").change(Set_Params);
$("#screen").change(Set_Params);
$("#print").change(Set_Params);

// Compose a default url
Download();

});

</script>

<h2><?php echo __('Downloads');?></h2>
<div style="height:100%;min-height:400px;">
	<div>
		<p><?php echo __('To download the right manual for you, please select the right answer for each of the questions below. Then click the <strong>Download Now</strong> button.');?>
		</p>
	</div>
	<div class="collage">
		<div >
			<img src="images/downloads.png" alt="Collage" />
		</div>
	</div>
	<div class="donwloadBox">
		<ol>
			<li>
				<p>
					<?php echo __('What language do you prefer?'); ?>
					<div align="center" style="margin-bottom:20px">
					<select id="language_list" style="width:300px;">
<?php
	// Get a list of translated languages
	$languages = array();
	foreach ($globals['available_manuals'] as $version => $language_titles) {
		foreach ($language_titles as $language_code => $manual_title) {
			$languages[$language_code] = $globals['languages'][$language_code];
		}
	}

	// Next check to see if a translation exists for the current language. If not, we'll set the default language to English.
	$my_language_exists = false;
	foreach ($languages as $language_code => $language_name) {
		if (LANGUAGE == $language_code || LANGUAGE_SHORT == $language_code) {
			$my_language_exists = true;
			break;
		}
	}

	// Finally, we'll print the <option> elements with the current language selected (if a translation exists, otherwise default to English)
	foreach ($languages as $language_code => $language_name) {
		if (LANGUAGE == $language_code || LANGUAGE_SHORT == $language_code) {
			echo '<option value="' . $language_code . '" selected="selected">' . $language_name . "</option>\n";
		} else {
			if ($my_language_exists == false && $language_code == "en_US") {
				echo '<option value="' . $language_code . '" selected="selected">' . $language_name . "</option>\n";
			} else {
				echo '<option value="' . $language_code . '">' . $language_name . "</option>\n";
			}
		}
	}
?>
					</select>

					</div>
				</p>
			</li>
			<li>
				<p>
					<?php echo __('Which edition would you like?'); ?>
					<div align="center" style="margin-bottom:20px">
						<select id="edition_list">
<?php
	// Get a list of manuals for the currently selected language
	$manuals = array();
	foreach ($globals['available_manuals'] as $version => $language_names) {
		foreach ($globals['available_manuals'][$version] as $language_code => $manual_title) {
			if ($language_code == LANGUAGE || $language_code == LANGUAGE_SHORT) {
				$manuals[$version] = substr($manual_title, 0, -4); // strip off the extension and return the name of the manual
			}
		}
	}

	$latest_version = get_latest_version($globals['available_manuals'], LANGUAGE, LANGUAGE_SHORT);
	foreach ($manuals as $version => $manual_title) {
		if ($version == $latest_version) {
			echo "<option value=\"$version\" selected=\"selected\">$manual_title</option>\n";
		} else {
			echo "<option value=\"$version\">$manual_title</option>\n";
		}
    }
?>
						</select>
						</select>
					</div>
				</p>
			</li>
			<li>
				<p>
					<?php echo __('Are you going to primarily read the PDF on-screen or print it?'); ?>
					<div align="center" style="margin-bottom:30px;width:200px;">
						<span style='float:left'>
							<input type="radio" name="optimzed" id="print" value="print" />
							<label for="print"><?php echo __('Print'); ?></label>
						</span>
						<span style='float:right'>
							<input type="radio" name="optimzed" id="screen" checked="checked" value="screen" />
							<label for="screen" ><?php echo __('Screen'); ?></label>
						</span>
					</div>
				</p>
			</li>
		</ol>
		<!-- ignore me! -->
		<div align="center"><a id="downloadbtn" href="" class="medium button orange"><?php echo __('Download now')?></a></div>
	</div>
</div>
<?php define('META_DESCRIPTION', str_replace("%version%", $globals['manual_version'], __('Download a PDF of Getting Started with Ubuntu %version%'))); ?>

