<?php global $globals; define('TITLE', __('Job Openings')); ?>
<h2><?php echo __('Job Openings'); ?></h2>
<div>
    <div class="nb">
      <?php echo __('<p>These job positions are <strong>not</strong> paid positions&mdash;they are volunteer positions.</p>'); ?>
    </div>
    <div>
        <h3><?php echo __("What is the Ubuntu Manual Project?"); ?></h3>
        <p><?php echo __("The Ubuntu Manual Project Team is responsible for the <i>Getting Started with Ubuntu</i> book. This a comprehensive beginner's guide for the Ubuntu operating system. It is written under an open source license and is free for you to download, read, modify, and share."); ?></p>
        <p><?php echo __("The manual is aimed at new users of Ubuntu to help them become familiar with everyday tasks such as surfing the web, listening to music, and scanning documents. With an emphasis on easy-to-follow instructions, it is suitable for all levels of experience."); ?></p>
    </div>

    <div>
        <h3><?php echo __("Available positions"); ?></h3>
        <p><?php echo __('We\'re currently trying to fill the following roles: '); ?></p>
        <ul>
                <li><?php echo str_replace('%base%', BASE, __('<a href="%base%jobs#chapter-authors">Chapter authors</a>'));?></li>
                <li><?php echo str_replace('%base%', BASE, __('<a href="%base%jobs#chapter-editors">Chapter editors</a>'));?></li>
        </ul>
    </div>

    <div>
        <h3><?php echo __("How to apply for these roles"); ?></h3>
        <p><?php echo __('Please provide responses to all the questions below and email them to <a href="mailto:jobs@ubuntu-manual.org">jobs@ubuntu-manual.org</a>.'); ?></p>
        <ul>
            <li><?php echo __("Full name"); ?></li>
            <li><?php echo __("Contact email address"); ?></li>
            <li><?php echo __("Role you are applying for"); ?></li>
            <li><?php echo __("Sections, chapters you are interested (see below)"); ?></li>
            <li><?php echo __("Average amount of time you can spend on the manual per week"); ?></li>
        </ul>
    </div>

    <div>
        <h3 id="chapter-authors"><?php echo __("Chapter Authors"); ?></h3>
        <p><?php echo __("Each chapter author is responsible for:"); ?></p>
        <ul>
            <li><?php echo __("writing the content in a clear, easy-to-understand manner;"); ?></li>
            <li><?php echo __("working with the chapter editor to ensure consistency of voice and style;"); ?></li>
            <li><?php echo __("and tracking changes between previous and current Ubuntu releases to ensure that the current edition of the manual reflects those changes."); ?></li>
        </ul>
        <br />
        <p><?php echo __("We're looking for authors to help write and update content for the following sections:"); ?></p>
        <ul>
            <li><?php echo __("The Ubuntu Desktop"); ?></li>
            <ul>
                <li><?php echo __("The dash / search bar / browsing files"); ?></li>
            </ul>
            <li><?php echo __("Working with Ubuntu"); ?></li>
            <ul>
                <li><?php echo __("Viewing and editing photos"); ?></li>
                <li><?php echo __("Reading and composing mail"); ?></li>
                <li><?php echo __("Browsing the web"); ?></li>
                <li><?php echo __("Microblogging"); ?></li>
                <li><?php echo __("Burning CDs and DVDs"); ?></li>
                <li><?php echo __("Working with LibreOffice"); ?></li>
                <li><?php echo __("Instant messaging"); ?></li>
            </ul>
            <li><?php echo __("Troublshooting"); ?></li>
            <li><?php echo __("Learning More"); ?></li>
        </ul>
        <br />
        <h3 id="chapter-editors">Chapter Editors</h3>
        <p><?php echo __("Each chapter editor is responsible for:"); ?></p>
        <ul>
            <li><?php echo __("coordinating with the authors of that chapter to ensure consistency of voice and style as well as proper grammar, spelling, and formatting;"); ?></li>
            <li><?php echo __("checking the chapter for factual accuracy;"); ?></li>
            <li><?php echo __("maintaining the list of authors and others who helped with that chapter (so proper attributation may be given in the manual);"); ?></li>
            <li><?php echo __("and ensuring, to the extent possible, timely completion of content by the authors."); ?></li>
        </ul>
        <br />
        <p><?php echo __("We're looking for editors to help copy edit and update content throughout the manual. Please let us know if you're interested in editing any particular chapter or sections."); ?></p>
    </div>
</div>
<?php define('META_DESCRIPTION', __('Current job openings at the Ubuntu Manual Project.')); ?>
