<?php global $globals; ?>

<h3 id="general"><?php echo __("General knowledge"); ?></h3>
<div>
	<div>
		<h4><?php echo __("What is launchpad?"); ?></h4>
		<p><?php echo __("Launchpad is the software collaboration platform that our project uses for code hosting through Bazaar, translations, bug tracking etc."); ?></p>

		<h4><?php echo __("What is Bazaar (bzr)?"); ?></h4>
		<p><?php echo __("Bazaar is a distributed version control system that makes it easier for people to work together on software projects."); ?></p>

		<h4><?php echo __("What is bazaar branch?"); ?></h4>
		<p><?php echo __("A branch is the record of all the commits that have been done by project’s contributors."); ?></p>
	</div>
</div>

<h3 id="big-picture"><?php echo __("The Big Picture"); ?></h3>
<div>
	<div>
		<h4><?php echo __("What does the author/editor team do?"); ?></h4>
		<p><?php echo __("The editor in chief leads the author/editor teams and assigns chapters to authors and editors according to their interest and their expertise. Once the team is organized, its goals are set and a writing freeze date is established, authors start working on their chapters while editors proofread in parallel. Throughout the authoring process, authors, editors, and the editor in chief are in contact with each other so they can deal with problems together, achieve a consistent style and voice throughout the book, and ensure the best long-term result. By the writing freeze date, the team should have finished the writing of the manual. Then the new manual release gets published!"); ?></p>

		<h4><?php echo __("How the work is done?"); ?></h4>
		<p><?php echo __("When we begin work on a new manual release, we create a branch. The branch contains all the files needed by the authors and contributors. Every author or group of authors is working on their own section or chapter and they are responsible for writing new material or modify the existing content. Each file is saved as a LaTeX file with the extension <tt>.tex</tt> (<i>i.e.</i>, <tt>filename.tex</tt>). When the author modifies the file(s) and wants to share the changes with others, he/she commits the LaTeX file(s) to the branch. Other contributors pull or download the latest branch revision containing the newly modified files."); ?></p>
		<p><?php echo __("The following picture illustrates the process:"); ?></p>
		<img src="/images/workflows_shared.png" width="526" height="372" alt="" />
		<p><?php echo __("You have two ways to work with branches either with commands or though a GUI application (e.g <a href=\"http://ground-control.org/\">Ground Control</a>, <a href=\"http://doc.bazaar.canonical.com/explorer/en/\">Bazaar Explorer</a>)."); ?></p>
	</div>
</div>

<h3 id="launchpad"><?php echo __('Creating a Launchpad Account'); ?></h3>
<div>
	<div>
		<ol>
			<li><?php echo __('Go to <a href="https://launchpad.net">https://launchpad.net</a> and click "Register" in the top-right corner of the page'); ?></li>
			<li><?php echo __('Fill in your details'); ?>
			<p><?php echo __('Now you need to create an SSH key. Instructions taken from <a href="https://help.launchpad.net/YourAccount/CreatingAnSSHKeyPair">here</a>.'); ?></p>
				<ol>
					<li><?php echo __('Install OpenSSH. On Ubuntu, you can install OpenSSH by opening your terminal and typing:'); ?></li>
					<pre class="sh">$ sudo apt-get install openssh-client</pre>
					<li><?php echo __('Once OpenSSH is installed, stay in the terminal and type:'); ?></li>					<pre class="sh">$ ssh-keygen -t rsa</pre>
					<li><?php echo __('When prompted, press Enter to accept the default file name for your key.'); ?></li>	
					<li><?php echo __('Next, enter then confirm a password to protect your SSH key. Your key pair is stored in ~/.ssh/ as id_rsa.pub (public key) and id_rsa (private key)'); ?></li>	

				</ol>
			</li>	
		
		<p>
			<?php echo __('Now you need to upload the public portion of your SSH key to Launchpad:'); ?>
			<br />
			<?php echo __('Open your public key in a text editor and copy its contents to your clipboard. The public key file has the extension .pub. For example: id_rsa.pub'); ?>
		</p>
	
			<li><?php echo __('Visit your <a href="https://launchpad.net/people/+me/+editsshkeys">SSH keys</a> page.'); ?></li>
			<li><?php echo __('Paste your public key into the text box and then click the Import public key button to continue.'); ?></li>
		</ol>
	</div>
</div>


<h3 id="join-team"><?php echo __('Joining our team'); ?></h3>
<div>
	<div>
		<ol>
				<li><?php echo __('Go <a href="https://launchpad.net/~ubuntu-manual/">here.</a>'); ?></li>
				<li><?php echo __('Click on "Join this team."'); ?></li>
				
				<li><?php echo __('You should subscribe to the mailing list as well.'); ?></li>
		</ol>
	</div>
</div>



<h3 id="download-code"><?php echo __('Downloading the bzr branch'); ?></h3>
<div>
	<div>
		<p><?php echo __('You will need to install bzr. Run these commands in a terminal to install bzr and configure it.'); ?></p>
		<ol>
				<li><?php echo __('Install bzr:'); ?></li>
				<pre class="sh">$ sudo apt-get install bzr</pre>
				<li><?php echo __('Configure bzr with your name and email:'); ?></li>
				<pre class="sh">$ bzr whoami "Your name &lt;email@domain.com&gt;"</pre>
				<?php echo __('To check that bzr knows who you are, run:'); ?>
				<pre class="sh">$ bzr whoami</pre>
				<?php echo __('If it has worked, it should return your name and email address.'); ?>
				<?php echo __('Now we need to download the Ubuntu Manual branch.'); ?>
				<br /><br />
				<ol>
					<li><?php echo __('Create a new directory in your home folder called <tt>Projects</tt>.'); ?></li>
					<pre class="sh">$ mkdir ~/Projects</pre>
					<li><?php echo __('Change into that directory in a terminal window:'); ?></li>
					<pre class="sh">$ cd ~/Projects</pre>
					<li><?php echo __('Once you are in your <tt>Projects</tt> directory, run this command to download our branch:'); ?></li>
					<pre class="sh">$ bzr branch lp:ubuntu-manual ubuntu-manual-trusty</pre>
					<li><?php echo __('Bzr will now download the project files. This may take a few minutes depending on your connection speed.'); ?>
		</ol>
	</div>
</div>


